> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.galleon8.com/api-reference/node-api/ethereum/api-endpoints/standard-api/eth-get-transaction-receipt/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.galleon8.com/_mcp/server. # eth_getTransactionReceipt POST https://node-api-docs-proxy.galleon8.workers.dev Content-Type: application/json Returns the receipt of a transaction by transaction hash. Reference: https://docs.galleon8.com/api-reference/node-api/ethereum/api-endpoints/standard-api/eth-get-transaction-receipt ## Request ### Body (application/json) This endpoint expects an object. - `transactionHash` (string, required) — Hash of the transaction receipt to look up. ## Response ### 200 Transaction receipt details, or null when the receipt is not found. - `transactionHash` (string, required) — 32-byte transaction hash. - `transactionIndex` (string, required) — Hex-encoded integer quantity. - `blockHash` (string, required) — 32-byte block hash. - `blockNumber` (string, required) — Hex-encoded integer quantity. - `from` (string, required) — 20-byte EVM address. - `to` (string, required, nullable) — 20-byte EVM address. - `cumulativeGasUsed` (string, required) — Hex-encoded integer quantity. - `gasUsed` (string, required) — Hex-encoded integer quantity. - `contractAddress` (string, required, nullable) — 20-byte EVM address. - `logs` (list of Log, required) - `logsBloom` (string, required) — Hex-encoded byte data. - `status` (string, required) — Hex-encoded integer quantity. - `effectiveGasPrice` (string, optional) — Hex-encoded integer quantity. - `type` (string, optional) — Hex-encoded integer quantity. ## Types ### Log EVM event log object. - `removed` (boolean, required) — True when the log was removed due to a chain reorganization. - `address` (string, required) — 20-byte EVM address. - `data` (string, required) — Hex-encoded byte data. - `topics` (list of string, required) - `logIndex` (string, optional, nullable) — Hex-encoded integer quantity. - `transactionIndex` (string, optional, nullable) — Hex-encoded integer quantity. - `transactionHash` (string, optional, nullable) — 32-byte transaction hash. - `blockHash` (string, optional, nullable) — 32-byte block hash. - `blockNumber` (string, optional, nullable) — Hex-encoded integer quantity. ## Examples **Request** ```json [ "0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d" ] ``` **Response** ```json { "jsonrpc": "2.0", "id": "1", "result": { "transactionHash": "0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d", "transactionIndex": "0x0", "blockHash": "0x9f1409b7d65c3d4d9e2df8b4c6f52f8f91a4e1b9a6fdb0f1aa8e6d43f63c1f55", "blockNumber": "0x10d4f", "from": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e", "to": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48", "cumulativeGasUsed": "0xc350", "gasUsed": "0xc350", "contractAddress": null, "logs": [ { "removed": false, "logIndex": "0x0", "transactionIndex": "0x0", "transactionHash": "0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d", "blockHash": "0x9f1409b7d65c3d4d9e2df8b4c6f52f8f91a4e1b9a6fdb0f1aa8e6d43f63c1f55", "blockNumber": "0x10d4f", "address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48", "data": "0x0000000000000000000000000000000000000000000000000000000005f5e100", "topics": [ "0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef", "0x000000000000000000000000742d35cc6634c0532925a3b844bc454e4438f44e" ] } ], "logsBloom": "0x00", "status": "0x1", "effectiveGasPrice": "0x3b9aca00", "type": "0x2" } } ``` **SDK Code** ```python import requests url = "https://node-api-docs-proxy.galleon8.workers.dev/" payload = ["0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d"] headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://node-api-docs-proxy.galleon8.workers.dev/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '["0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d"]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://node-api-docs-proxy.galleon8.workers.dev/" payload := strings.NewReader("[\n \"0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d\"\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://node-api-docs-proxy.galleon8.workers.dev/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "[\n \"0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d\"\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://node-api-docs-proxy.galleon8.workers.dev/") .header("Content-Type", "application/json") .body("[\n \"0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d\"\n]") .asString(); ``` ```php request('POST', 'https://node-api-docs-proxy.galleon8.workers.dev/', [ 'body' => '[ "0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d" ]', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://node-api-docs-proxy.galleon8.workers.dev/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n \"0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d\"\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["0x4e3b9f0d2f6e2c7b8a9d0e1f2a3b4c5d6e7f8091a2b3c4d5e6f708192a3b4c5d"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://node-api-docs-proxy.galleon8.workers.dev/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```